GSPL-USER(1)

NAME
gspl-user - list spool user details.

SYNOPSIS
gspl-user [ -options ]

DESCRIPTION
gspl-user provides 3 functions:

With no arguments it lists the permissions for the invoking user and exits.

With the -c option it enables the invoking user to edit his own default priority, form type and printer. The user must have change default priority permission to do this.

With the -i option it enables the invoking user to interactively review and update the list of permissions for all users. The user must have edit admin file permission to do this. For more information about the details of the interactive commands, please see the on-line help information, obtained by pressing ? (although this may be changed on your site). This section focuses on the command-line options which may be used to control the initial display.

OPTIONS
Note that the order of treatment, letters and keywords described below may be modified by editing the file rest.help - see spsyntax(5). The environment variable on which options are supplied is "GSPL_USER" and the environment variable to specify the help file is "SPUSERCONF".

Certain commands available on-screen enable many of these options to be changed and saved in configuration files.

-? or +explain
    causes a summary of the other options to be displayed without taking further action.

-B or +no-help-box
    put help messages in inverse video rather than in a box.

-b or +help-box
    put help messages in a box rather than displaying inverse video.

-c or +form-and-prio
    interactively set default priority, form type and printer for the invoking user.

-d or +display
    is the default. A list of permissions is output to the standard output, for example.

            Default form a4 form types a4*
            Maximum copies 10
            Priority: min 100 max 200 default 150.  Current charge is 0.
            Default printer `' printer types ``
            Class code: A-Pa-p
            Privileges:
            You may Use other printers.
            You may Access queue options.
            You may Save new default options.

-H or +keep-char-help
    when displaying a help screen, interpret the next key press as a command as well as clearing the help screen.

-h or +lose-char-help
    discard whatever key press is made to clear a help screen.

-i or +administer
    view and update the list of users

-M or +no-error-box
    put error messages in inverse video rather than in a box.

-m or +error-box
    put error messages in a box rather than displaying inverse video.

-n or +numeric-sort
    sort users by numeric userid (default).

-u or +user-sort
    sort users by user name

FILES
~/.gnuspool configuration file (home directory)

.gnuspool configuration file (current directory)

gspl-user.help message file

spufile0 User control file

ENVIRONMENT

GSPL_USER
    space-separated options to override defaults.

SPUSERCONF
    location of alternative help file.

SEE ALSO
gspl-charge(1), gspl-uchange(1), gspl-ulist(1), spsyntax(5), gnuspool.conf(5), gnuspool.hosts(5).

DIAGNOSTICS
Various diagnostics are read and printed as required from the message file, by default gspl-user.help.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.